*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: var(--primary-font);
}

:root {
    --primary-font: "Special Elite", cursive;
    --sec-font: "Josefin Sans", san-serif;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    background-color: #ccc;
    padding-right: 3rem;
    font-size: 400;
}

.center {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* MENU */
.menu {
    width: 4rem;
    height: 4rem;
    position: fixed;
    top: 2rem;
    left: 2rem;
    z-index: 5;
    flex-direction: column;
    transition: all 0.5s;
    cursor: pointer;
}

.menu.change {
    transform: rotate(45deg);
    left: 15vw;
}

.menu-line {
    width: 100%;
    height: 0.2rem;
    background-color: #fff;
    margin: 0.3rem 0;
    box-shadow: 0.1rem 0.1rem 0.3rem #222;
    transition: transform 0.5s;
}

.change .menu-line_1 {
    transform: rotate(270deg) translateX(-0.4rem);
}

.change .menu-line_2 {
    transform: rotate(360deg) translateY(-0.4rem);
}

/* NAVBAR */
.navbar {
    width: 15vw;
    height: 100vh;
    background-color: #fff;
    position: fixed;
    top: 0;
    left: -15vw;
    display: flex;
    flex-direction: column;
    padding: 4rem 0 0 4rem;
    z-index: 3;
    transition: left 0.5s;
}

.navbar.change {
    left: 0;
}

.navbar-link {
    font-size: 1.5rem;
    font-weight: 600;
    margin: 2rem 0;
    color: #777;
    letter-spacing: 0.3rem;
    text-transform: uppercase;
    transition: color 0.3s;
}

.navbar-link:hover {
    color: #111;
}

/* GENERAL SECTION STYLES */
.wrapper {
    width: 100%;
    perspective: 50rem;
}

section {
    width: 100%;
    height: 100vh;
    background-color: #efefef;
    position: relative;
    left: 0;
    margin-bottom: 3rem;
    padding: 5rem 0;
    transform-origin: left;
    box-shadow: 0.5rem 0.5rem 1rem #aaa;
    transition: left 0.5s, transform 0.5s;
}

section.change {
    left: 15vw;
    transform: rotateY(10deg);
}

.section-heading {
    font-size: 10rem;
    font-weight: bolder;
    color: #fff;
    margin-bottom: 10rem;
    letter-spacing: 1rem;
    text-align: center;
    text-shadow: 0.3rem 0.3rem 0.5rem #555;
}

/* SECTION 1 */
.section-1 {
    flex-direction: column;
    background: url(../images/bg-section1.jpg) center no-repeat;
    background-size: cover;
}

.section-1 .section-1_heading {
    margin-bottom: 3rem;
    text-transform: uppercase;
    text-shadow: 1rem 1rem 1rem #000, 2rem 2rem 2rem #111, 3rem 3rem 3rem #222;
}

.section-1_img {
    width: 70%;
}

/* SECTION 2 */
.section-2 {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.card {
    width: 50rem;
    margin: 0 3rem;
    padding: 1rem;
    background-color: #fff;
    box-shadow: 0.6rem 0.6rem 0.6rem #bbb;
    transition: box-shadow 0.5s;
    position: relative;
}

.card:hover {
    box-shadow: 0.8rem 0.8rem 0.8rem #bbb;
}

.car-name {
    font-size: 2rem;
    font-weight: 600;
    text-transform: uppercase;
    color: #fff;
    position: absolute;
    top: 2rem;
    left: 2rem;
    z-index: 3;
}

.card-img {
    width: 100%;
    opacity: 0.8;
    transition: opacity 0.5s;
}

.card:hover .card-img {
    opacity: 1;
}

.car-price {
    font-size: 1.8rem;
    color: #777;
    margin: 0.5rem 0;
}

.card-btn {
    width: 100%;
    background-color: #fff;
    font-size: 1.7rem;
    letter-spacing: 0.3rem;
    text-transform: uppercase;
    border: none;
    margin-top: 1rem;
    padding: 0.5rem;
    color: #fff;
    text-shadow: 0.1rem 0.1rem 0.3rem #000;
    box-shadow: 0.1rem 0.1rem 0.5rem #bbb;
    cursor: pointer;
}

/* SECTION 3 */
.section-3 {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    background-color: #222;
}

.video {
    width: 25%;
    margin: 0 2rem;
    border-radius: 0.5rem;
    opacity: 0.8;
    box-shadow: 0.3rem 0.3rem 0.5rem #111;
    transition: all 0.5s;
}

.video:hover {
    opacity: 1;
    box-shadow: 0.5rem 0.5rem 1rem #111;
}

/* SECTION 4 */
.section-4 {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.gallery {
    margin: 10rem 0;
    perspective: 10rem;
    position: relative;
}

.gallery-shelf {
    width: 80%;
    height: 3rem;
    background-color: rgba(38, 126, 199, 0.8);
    margin: auto;
    position: relative;
    box-shadow: 1rem 1rem 5rem #444;
}

.gallery-shelf::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 10rem;
    background-color: rgba(34, 152, 248, 0.7);
    top: -10rem;
    transform: rotateX(20deg);
    transform-origin: bottom;
}

.gallery img {
    width: 15%;
    position: absolute;
    bottom: 6rem;
    transform: translateX(-50%) rotateX(0.5deg);
    box-shadow: 0.2rem -0.2rem 0.5rem #888;
    border-radius: 0.5rem;
    transition: all 0.3s;
}

.gallery img:hover {
    transform: translateX(-50%) rotateX(0);
    box-shadow: 0 0.2rem 0.3rem #888;
}

.gallery-img_1 {
    left: 50%;
}
.gallery-img_2 {
    left: 30%;
}
.gallery-img_3 {
    left: 70%;
}

/* SECTION 5 */
.section-5 {
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.8)),
        url(../images/bg-section5.jpg) center no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    margin-bottom: 0;
}

.contact-form {
    width: 60rem;
    height: 45rem;
    background-color: rgba(255, 255, 255, 0.2);
    border: 2rem solid rgba(255, 255, 255, 0.8);
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 5rem;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    height: 4rem;
    margin: 2rem 0;
    background-color: transparent;
    padding: 0.5rem;
    border: 0.1rem solid #fff;
    font-size: 1.5rem;
    letter-spacing: 0.1rem;
    color: #fff;
    flex-shrink: 0;
    transition: background-color 0.5s;
}

.contact-form textarea {
    max-width: 100%;
    min-height: 8rem;
}

.form-input:focus {
    background-color: rgba(255, 255, 255, 0.5);
}

.contact-form .form-btn {
    background-color: rgba(255, 255, 255, 0.8);
    font-weight: 600;
    letter-spacing: 0.3rem;
    color: #444;
    cursor: pointer;
}

.copyright {
    color: #fff;
    font-size: 2rem;
    font-weight: 300;
    text-align: center;
}
